@import "../../00_base/media-queries.pcss.css";

.article__content-wrapper {
  position: relative;
}

.article-date {
  font-style: italic;
}

.article-image {
  max-width: 180px;
  padding-block: 1rem;
}

@media (--md) {
  .article-image {
    float: right;
  }
}

@media (--lg) {
  .article__content-wrapper {
    display: flex;
  }
  .article__content {
    width: 75%;
    flex-basis: 75%;
  }
  /* We might want to use grid once the layout is stable */
  .article-image {
    max-width: 300px;
    position: absolute; 
    right: var(--box-padding);
    width: 20%;
    padding-top: 16px;
    padding-left: 16px;

  }
  .article__topics {
    display: flex;
    gap: var(--box-padding);
    & > * {
      width: 50%;
    }
  }
}

.article__topics {
  padding-top: var(--box-padding);
}